TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: V-Man on August 29, 2013, 10:44:40 AM

Title: Block Help needed.
Post by: V-Man on August 29, 2013, 10:44:40 AM

I'm in need of inserting a block into the BlockTableRecord without actually inserting the block into the drawing. I have seen code and examples for .NET but nothing in Lisp or Vlisp. How to go about this?

Thanks,

Don
Autocad 2012
Title: Re: Block Help needed.
Post by: Lee Mac on August 29, 2013, 11:02:19 AM
Using the -INSERT command:
Code - Auto/Visual Lisp: [Select]
  1. (command "_.-insert" "Your-Block-Name-Here" nil)

Using the insertblock ActiveX method:
Code - Auto/Visual Lisp: [Select]
  1.         (vlax-3D-point 0 0)
  2.         "Your-Block-Name-Here" 1.0 1.0 1.0 0.0
  3.     )
  4. )
Title: Re: Block Help needed.
Post by: V-Man on August 29, 2013, 11:06:21 AM
Lee Mac Thanks for the quick response. That's it. I should have known the the first option... duh...  :-)
Title: Re: Block Help needed.
Post by: Lee Mac on August 29, 2013, 11:11:33 AM
- You're welcome  :-)